udftools (2.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:56:52 +0800

udftools (2.1-1) unstable; urgency=medium

  * New upstream release (Closes: #916006)
  * Update Standards-Version to 4.3.0
  * Update to debhelper 11
  * Update copyright and signing-key.asc

 -- Pali Rohár <pali.rohar@gmail.com>  Fri, 28 Dec 2018 13:02:37 +0100

udftools (2.0-2) unstable; urgency=medium

  * Fix installation in chroot (Closes: #890224)

 -- Pali Rohár <pali.rohar@gmail.com>  Mon, 12 Feb 2018 18:06:15 +0100

udftools (2.0-1) unstable; urgency=medium

  * New upstream release
  * Update Suggests (remove pmount, add udfclient)
  * Update Descriptions (add new tools into list)
  * Update Standards-Version to 4.1.2
  * Update to debhelper 10
  * Update copyright, watch and signing-key.asc
  * Remove /etc/init.d/udftools init script and /etc/default/udftools file
    - Replace them by a new upstream udev rule and load it at postinst
    - Remove lsb-base dependency (was needed only for init script)
    - Closes: #510907, #645352, #583380
    - LP: #345158, #347067, #1076126

 -- Pali Rohár <pali.rohar@gmail.com>  Tue, 16 Jan 2018 23:47:19 +0100

udftools (1.3-2) unstable; urgency=low

  * Fix path to pktsetup in udftools init script

 -- Pali Rohár <pali.rohar@gmail.com>  Tue, 03 Oct 2017 21:41:57 +0200

udftools (1.3-1) unstable; urgency=low

  * New upstream release

 -- Pali Rohár <pali.rohar@gmail.com>  Mon, 23 Jan 2017 23:24:51 +0100

udftools (1.2-2) unstable; urgency=low

  * Depends on lsb-base (>= 3.2-14)
  * Change priority from extra to optional
  * Fix license name from GPL-2.0+ to GPL-2+
  * Do not install extra COPYING file
  * Update upstream signing-key

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 10 Dec 2016 15:54:22 +0100

udftools (1.2-1) unstable; urgency=low

  * New maintainer (Closes: #829016).
  * New project upstream (Closes: #791952).
  * New upstream release which fixes these bugs:
    Closes: #672839, #272648, #606664, #715720, #716102, #716287, #727634
    Closes: #727636, #775273, #539530, #680272
  * Update debian files:
    - Checks for /run/udev in init script (Closes: #622208).
    - Fix LSB output in init script (Closes: #823084, #583382).
    - Use debhelper 9 (Closes: #817705).
    - Remove old and unused po.bak files.
    - Remove old README.Debian.
    - Add ${misc:Depends}.
    - Update description of package.
    - Update copyright to deb5 format.
    - Drop all patches because there were included into new release.

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 02 Jul 2016 12:56:41 +0200

udftools (1.0.0b3-14.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-5": add patch from Jakub Wilk:
    changed semantics of inline keyword.
    (Closes: #778153)

 -- gregor herrmann <gregoa@debian.org>  Sun, 19 Jul 2015 17:03:35 +0200

udftools (1.0.0b3-14.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove autoconf related files from diff.gz
  * Use dh-autoreconf at build time (Closes: #735964, #759449).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Sep 2014 21:46:10 +0200

udftools (1.0.0b3-14.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Daniel T Chen's patch to prevent usage of ncurses as
    debian/patch-14-no-curses.diff (Closes: #646159)
  * Set urgency to medium due to rc bug fix

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Fri, 02 Dec 2011 21:51:55 +0100

udftools (1.0.0b3-14.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "replacing libreadline5-dev build dependency with libreadline-dev":
    do as the bug report requests.
    Closes: #553867
    LP: #832812
  * Fix "[FTBFS] open() needs mode if O_CREAT to compile in GCC 4.4": add
    patch patch-13-open-mode.diff from Alfonso Cepeda Caballos / Ubuntu.
    Closes: #560308
    LP: #495004

 -- gregor herrmann <gregoa@debian.org>  Sun, 18 Sep 2011 16:20:30 +0200

udftools (1.0.0b3-14) unstable; urgency=medium

  * Added $remote_fs as dependency to LSB init header. Closes: #476112
  * Removed useless /etc/modutils/udftools file. Closes: #455087
  * Lintian cleanups: Proper copyright info, "Homepage:" in debian/control

 -- Richard Atterer <atterer@debian.org>  Mon, 28 Apr 2008 00:20:10 +0200

udftools (1.0.0b3-13.1) unstable; urgency=high

  * Non-maintainer upload.
  * limits.h included. (Closes: #456102)

 -- Adrian Friedli <adi@koalatux.ch>  Sat, 12 Jan 2008 13:22:01 +0100

udftools (1.0.0b3-13) unstable; urgency=low

  * Fixed wrudf build failure with newer GCC. Closes: #453629, #453667
  * pktsetup: Return meaningful exit status on errors. Closes: #223266
  * Output error message if opening device fails. Closes: #285313
  * Recommends: udev. Closes: #405821
  * Updated pktsetup manpage. Closes: #414801
  * Added "Homepage:" field to debian/control
  * Got rid of devfs and makedev support, no longer depend on makedev.
    No longer attempt to create devices. No longer depend on debconf.
    Closes: #434164, #407144
  * Updated default /etc/default/udftools to be suitable for most people
    (Though they still need to uncomment DEVICES themselves.)
    Closes: #413625
  * Added info on defaults of cdrwtool -l -w -p in manpage. Closes: #372093
  * Added a few #include <string.h> to avoid compiler warnings
  * Documented -q switch in cdrwtool manpage (though it's already described
    in the Description section). Closes: #288355
  * Re-libtoolized

 -- Richard Atterer <atterer@debian.org>  Fri, 30 Nov 2007 11:21:03 +0100

udftools (1.0.0b3-12) unstable; urgency=low

  * Fixed 'man mkudffs' typo: "Versital". Closes: #335327
  * Did not make the postinst create mount points or fstab entries,
    but documented the procedure in the README. Closes: #369660:
    Installation should create /media/cdrw0 and suggest /etc/fstab
  * Described procedure of formatting a disc for packet writing in the
    README.Debian. Closes: #360527: Serious lack of documentation
  * Correctly detect presence of udev by looking for /dev/.udev
  * Do not ask user whether to create devices. Closes: #386962
    (Sorry, translators, templates removed. :-/ Closes: #334212 )
  * Added a "Suggests: dvd+rw-tools, pmount"
  * Lintian: Fixed FSF address in copyright file, added LSB info to
    init script

 -- Richard Atterer <atterer@debian.org>  Thu, 23 Nov 2006 00:18:34 +0100

udftools (1.0.0b3-11) unstable; urgency=low

  * Depend on "debconf | debconf-2.0", cf.
    http://lists.debian.org/debian-devel/2005/08/msg00136.html
  * Updated FSF address in copyright file according to lintian message
  * Re-libtoolized for good measure
  * Clarified README.Debian. Closes: #288894
  * Updated URL in manpage. Closes: #288896
  * INTL:ru Russian debconf template translation. Closes: #300916
  * Small manpage fix. Closes: #309572
  * INTL:sv Swedish debconf templates translation. Closes: #331368

 -- Richard Atterer <atterer@debian.org>  Mon,  3 Oct 2005 14:11:50 +0200

udftools (1.0.0b3-10) unstable; urgency=low

  * INTL:vi Vietnamese translation for udftools (Closes: #323952)

 -- Richard Atterer <atterer@debian.org>  Sun, 21 Aug 2005 21:33:03 +0200

udftools (1.0.0b3-9) unstable; urgency=medium

  * Switched from libreadline4-dev to libreadline5-dev in build-deps
  * Applied patch by Andreas Jochens
    Closes: #288621: FTBFS (amd64/gcc-4.0): invalid lvalue in assignment

 -- Richard Atterer <atterer@debian.org>  Tue,  4 Jan 2005 21:40:19 +0100

udftools (1.0.0b3-8) unstable; urgency=medium

  * Added Czech debconf translation by Miroslav Kure - thanks!
    Closes: #287303

 -- Richard Atterer <atterer@debian.org>  Mon, 27 Dec 2004 15:16:57 +0100

udftools (1.0.0b3-7) unstable; urgency=medium

  * Applied patch by Christoph Hellwig - thanks!
    Closes: #285311: mkudffs fails on big-endian systems
  * Updated to Standards-Version 3.6.1

 -- Richard Atterer <atterer@debian.org>  Sun, 12 Dec 2004 16:41:41 +0100

udftools (1.0.0b3-6) unstable; urgency=medium

  * Applied patch by Christopher Martin (thanks!)
    Closes: #278696: udftools scripts need overhaul to work with all kernels
  * Closes: #274489: udftools: Mistakes in README.Debian

 -- Richard Atterer <atterer@debian.org>  Mon,  1 Nov 2004 14:42:41 +0100

udftools (1.0.0b3-5) unstable; urgency=medium

  * Incorporate patch by Peter Osterlund, http://w1.894.telia.com/~u89404340/
    Changed init.d script to deal with new features of the code.
    Closes: #245801: can't use pktsetup
  * Updated docs: Need kernel 2.6.8+ or extra kernel patch

 -- Richard Atterer <atterer@debian.org>  Sun, 15 Aug 2004 21:21:38 +0200

udftools (1.0.0b3-4) unstable; urgency=low

  * Today is intl minor bug submitter day, it seems ;-P
    Applied patch to change scripts: "test x && test y", not "test x -a y"
    Closes: #258492: XSI:ism in debian/config (and upstream deb-dir)

 -- Richard Atterer <atterer@debian.org>  Fri,  9 Jul 2004 23:33:35 +0200

udftools (1.0.0b3-3) unstable; urgency=low

  * Added in README.Debian: Extra kernel patch required for pktsetup
  * Removed upstream changelog %-|
    Closes: #258447: stale upstream changelog

 -- Richard Atterer <atterer@debian.org>  Fri,  9 Jul 2004 21:11:01 +0200

udftools (1.0.0b3-2) unstable; urgency=low

  * Closes: #248755: [l10:ca] udftools catalan debconf templates

 -- Richard Atterer <atterer@debian.org>  Fri, 14 May 2004 14:56:24 +0200

udftools (1.0.0b3-1) unstable; urgency=low

  * New upstream release
  * Closes: #223252: please register block-major-97 with modutils
  * Closes: #227269: Japanese po-debconf template translation (ja.po)

 --  <atterer@debian.org>  Wed, 17 Mar 2004 15:12:21 +0100

udftools (1.0.0b2-5) unstable; urgency=low

  * Fixed fix of devfs part of init script, ahem...
    Closes: #213074

 -- Richard Atterer <atterer@debian.org>  Sun, 28 Sep 2003 12:29:02 +0200

udftools (1.0.0b2-4) unstable; urgency=low

  * Fixed init script to work with devfs, closes: #204164
  * Dutch translation of debconf templates, closes: #209077

 -- Richard Atterer <atterer@debian.org>  Sat, 27 Sep 2003 15:14:24 +0200

udftools (1.0.0b2-3) unstable; urgency=low

  * Added init script which calls pktsetup during startup for devices
    configured in /etc/default/udftools. Original version of script by
    Aleksandar Topuzovic - thanks!
  * Updated config.guess/sub just for the fun of it.
  * gettext support for debconf templates by Michel Grentzinger
    (thanks!), closes: #199829
  * French translation of debconf templates, closes: #200443

 -- Richard Atterer <atterer@debian.org>  Sun, 13 Jul 2003 12:05:58 +0200

udftools (1.0.0b2-2) unstable; urgency=low

  * Applied upstream patch to fix problems on big-endian machines,
    hopefully closes: #133663
  * Removed build-depends on modutils which is no longer needed.

 -- Richard Atterer <atterer@debian.org>  Thu, 14 Feb 2002 23:14:34 +0100

udftools (1.0.0b2-1) unstable; urgency=low

  * New upstream release. Upstream has split off udftools from the UDF
    kernel patch, and has renamed mkudf to mkudffs. chkudf and
    cd(rom)info are no longer part of udftools.
  * Manpages provided by Paul Thompson - many thanks! Closes: #100383

 -- Richard Atterer <atterer@debian.org>  Mon, 11 Feb 2002 22:15:29 +0100

udftools (0.9.5-1) unstable; urgency=low

  * New upstream release, closes: #127289

 -- Richard Atterer <atterer@debian.org>  Wed,  2 Jan 2002 00:35:09 +0100

udftools (0.9.4-6) unstable; urgency=low

  * makedev 2.3.1-56 introduces support for pktcdvd devices, so use it
    in postinst (see #99725).

 -- Richard Atterer <atterer@debian.org>  Sat,  1 Dec 2001 21:07:49 +0100

udftools (0.9.4-5) unstable; urgency=low

  * Spanish debconf templates provided by Carlos Valdivia Yagüe - many
    thanks! closes: #117691

 -- Richard Atterer <atterer@debian.org>  Wed, 31 Oct 2001 20:37:07 +0100

udftools (0.9.4-4) unstable; urgency=low

  * Large file support for mkudf (patch by Mark W. Eichin),
    closes: #115199

 -- Richard Atterer <atterer@debian.org>  Sat, 13 Oct 2001 20:43:47 +0200

udftools (0.9.4-3) unstable; urgency=low

  * Removed (under protest;) debconf template with info "Not creating
    device files since you use devfs", closes: #106348

 -- Richard Atterer <atterer@debian.org>  Sat, 28 Jul 2001 23:56:47 +0200

udftools (0.9.4-2) unstable; urgency=low

  * cdrom.h kernel header is now included so build is independent of
    /usr/include/linux.
  * Eliminated use of other kernel headers, to fix build problems on
    ARM (et al?), closes: #100392
  * German debconf templates provided by Sebastian Feltel - many
    thanks! closes: #100573

 -- Richard Atterer <atterer@debian.org>  Sat, 16 Jun 2001 15:04:31 +0200

udftools (0.9.4-1) unstable; urgency=low

  * New upstream release, released the minute I uploaded 0.9.3-1... %-7
  * Now uses debconf to ask user whether to create device files, as
    mandated by policy. (But asks with priority=low, creates by default.)
  * Renamed /usr/bin/cdinfo to /usr/bin/cdrominfo, to avoid conflict
    with cdtool package, closes: #99909, #100049, #100098

 -- Richard Atterer <atterer@debian.org>  Wed,  6 Jun 2001 22:12:15 +0200

udftools (0.9.3-1) unstable; urgency=low

  * Initial Release. Finishes the ITP process, closes: #99767

 -- Richard Atterer <atterer@debian.org>  Mon,  4 Jun 2001 21:47:49 +0200
